{% extends "base.html" %}
{% load admin_urls %}

{% block jumbotron_content %}
<h2>Проверка первого этапа</h2>
<p>Здесь можно просмотреть, где пользователь накосячил в анкете. Выводится не больше первых десяти совпадений по емейлам</p>
{% endblock %}

{% block main_content %}
<form class='form-inline'>
  <div class='form-group'>
    <label for='emailField' class='col-3-md'>
      EMail:
    </label>
    <input id='emailField' class='form-control col-3-md' type='email' required value='{{ user_email }}' placeholder='Enter email' name='email'>
    <input type='submit' value='Check' class='btn btn-primary'>
  </div>
</form>
{% if user_email %}
<h3>Результат</h3>
{% for u in users %}
  {% with u.userprofile as p %}
<div class='container'>
  <div class='row thumbnail'>
    <div class='col-md-4'>
      <h4>{{ u.last_name }} {{ u.first_name }} <span class='text-muted'>{{ p.middle_name }}</span></h4>
      <dt><small>{{ p.location }}</small></dt>
      <dd><small>Возраст: {{ p.age }} (ДР {{ p.birthdate }})</small></dd>

      <dl>
        <dt>email: <a href='mailto:{{ u.email }}'>{{ u.email }}</a></dt>
        {% with u.workshoppetitionconnection as t %}
          <dd><strong>wp:</strong> {{ t.workshop_slug }}/{{ t.program_slug }}</dd>
        {% endwith %}

	{% if u.data.photo %}
	<img src="{{ u.data.photo.url }}" class='img img-responsive' width="100px">
	<dd>
	    <strong>Фото:</strong> {{ u.data.photo.needs_to_be_changed|yesno:"просили поменять,фото ок" }}
	</dd>
	{% endif %}

        <dt>Профиль <b>#{{ p.pk }}</b>
            {% if user.is_superuser %}
              <a href="{% url u.data.user_opts|admin_urlname:'change' u.pk %}">
                <span class="glyphicon glyphicon-edit"></span>
              </a>
            {% endif %}
        </dt>
        {% if p.is_curator %}
          <dd><i>Куратор</i> &mdash; доступ к заявкам мастерских</dd>
        {% endif %}
        {% if p.is_betatester %}
          <dd><i>Бета-тестер</i> &mdash; расширенный функционал</dd>
        {% endif %}
        {% if p.is_restricted %}
          <dt>Пользователь ограничен как-то</dt>
          {% for r in p.restrictions %}
          <dd>{{ r.get_restriction_type_display }}
          {#<a href="{% url r.opts|admin_urlname:'delete' r.pk %}">#}
          {#  <span class="glyphicon glyphicon-remove"></span>#}
          {#</a>#}
          </dd>
          {% endfor %}
        {% endif %}
        {% if p.is_nabor %}
          <dd><i>Группа &laquo;Набор&raquo;</i> &mdash; все анкеты, первый тур</dd>
        {% endif %}
        {% if p.is_guru %}
          <dd><i>Группа &laquo;Сайт&raquo;</i> &mdash; может раздавать права другим юзерам и делать служебные дела на сайте</dd>
        {% endif %}

      </dl>
    </div>
{% endwith %} {# user profile as p #}

  {% with u.data as d %}
    <div class='col-md-4'>
      <h4>Разделы 1-го тура:</h4>
      <ul class="list-unstyled">
        {% for name, has_data, obj_pk, opts in d.first_step_fields %}
          <li><input type='checkbox' disabled {% if has_data %}checked{% endif %}>{{ name }}
          {% if has_data %}
            <b>#{{ obj_pk }}</b>
            {% if user.is_superuser %}
              <a href="{% url opts|admin_urlname:'change' obj_pk %}">
                <span class="glyphicon glyphicon-edit"></span>
              </a>
            {% endif %}
          {% endif %}
          </li>
        {% endfor %}
      </ul>
    </div>

    <div class="col-md-4">
      <h4>Служебная информация</h4>
      <dt>userpk: {{ u.pk }}</dt>
      {% for b in d.bucks_list|dictsort:"when" %}
        {% if forloop.first %}
        <dt>Метки</dt>
          <ol>
        {% endif %}
        <li>
          {{ b.slug }}:
          {% if user.is_superuser %}
          <br/><small>{{ b.when }}</small>
          <a href="{% url b.opts|admin_urlname:'change' b.pk %}">
            <span class="glyphicon glyphicon-edit"></span>
          </a>
          <a href="{% url b.opts|admin_urlname:'delete' b.pk %}">
            <span class="glyphicon glyphicon-remove"></span>
          </a>
          {% endif %}
        </li>
        {% if forloop.last %}
        </ol>
        {% endif %}
      {% endfor %}
      <a href="{% url "guru:revert_user" %}?email={{ u.email }}" class="btn btn-danger btn-block">Откатить до <br/>"надо ещё отправить заявку"</a>
    </div>
  {% endwith %} {# u.data as d #}

  </div>
</div>
{% empty %}
<P>[ пусто ]</p>
{% endfor %}
{% endif %}
{% endblock %}
